Bug 171652 - I want to summit x11/lxrandr ports.
I want to summit x11/lxrandr ports.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-15 01:30 UTC by ericturgeon.bsd
Modified: 2012-09-21 23:30 UTC (History)
0 users

See Also:


Attachments
file.shar (4.62 KB, text/plain)
2012-09-15 01:30 UTC, ericturgeon.bsd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ericturgeon.bsd 2012-09-15 01:30:09 UTC
LXRanDr is a LXDE software to set up the monitor screen resolution. It use x11/xrandr. I like to see that port in FreeBSD. This ports is made to be in x11/lxrandr.

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2012-09-18 16:57:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 dfilter freebsd_committer 2012-09-21 23:25:08 UTC
Author: makc
Date: Fri Sep 21 22:24:49 2012
New Revision: 304643
URL: http://svn.freebsd.org/changeset/ports/304643

Log:
  Add new port x11/lxrandr:
  
  LXDE screen manager.
  
  PR:		ports/171652
  Submitted by:	Eric Turgeon <ericturgeon.bsd at gmail.com>

Added:
  head/x11/lxrandr/
  head/x11/lxrandr/Makefile   (contents, props changed)
  head/x11/lxrandr/distinfo   (contents, props changed)
  head/x11/lxrandr/pkg-descr   (contents, props changed)
  head/x11/lxrandr/pkg-plist   (contents, props changed)
Modified:
  head/x11/Makefile   (contents, props changed)

Modified: head/x11/Makefile
==============================================================================
--- head/x11/Makefile	Fri Sep 21 22:23:22 2012	(r304642)
+++ head/x11/Makefile	Fri Sep 21 22:24:49 2012	(r304643)
@@ -190,6 +190,7 @@
     SUBDIR += lxde-meta
     SUBDIR += lxmenu-data
     SUBDIR += lxpanel
+    SUBDIR += lxrandr
     SUBDIR += menu-cache
     SUBDIR += metalock
     SUBDIR += metisse

Added: head/x11/lxrandr/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/lxrandr/Makefile	Fri Sep 21 22:24:49 2012	(r304643)
@@ -0,0 +1,25 @@
+# $FreeBSD$
+
+PORTNAME=	lxrandr
+PORTVERSION=	0.1.2
+CATEGORIES=	x11
+MASTER_SITES=	SF/lxde/LXRandR%20%28monitor%20config%20tool%29/LXRandR%20${PORTVERSION}
+
+MAINTAINER=	ericturgeon@ghostbsd.org
+COMMENT=	LXDE screen manager
+
+USE_GNOME=	gtk20
+USE_GMAKE=	yes
+GNU_CONFIGURE=	yes
+USE_GETTEXT=	yes
+INSTALLS_ICONS=	yes
+USE_XORG=	xrandr
+CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
+LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+
+MAN1=		lxrandr.1
+
+post-install:
+	@-${LOCALBASE}/bin/update-desktop-database > /dev/null
+
+.include <bsd.port.mk>

Added: head/x11/lxrandr/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/lxrandr/distinfo	Fri Sep 21 22:24:49 2012	(r304643)
@@ -0,0 +1,2 @@
+SHA256 (lxrandr-0.1.2.tar.gz) = fb8139478f6cfeac6a2d8adb4e55e8cad099bfe2da7c82253c935ba719f9cf19
+SIZE (lxrandr-0.1.2.tar.gz) = 230394

Added: head/x11/lxrandr/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/lxrandr/pkg-descr	Fri Sep 21 22:24:49 2012	(r304643)
@@ -0,0 +1,7 @@
+LXRandR is the standard screen manager of LXDE. It manages screen
+resolution and external monitors.  You can plug in another screen
+into LXDE or choose to use a big screen projector. Local screen and
+extenal screen can be used at the same time. LXRandR configures the
+screen solution automatically.
+
+WWW: http://wiki.lxde.org/en/LXRandR

Added: head/x11/lxrandr/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/lxrandr/pkg-plist	Fri Sep 21 22:24:49 2012	(r304643)
@@ -0,0 +1,73 @@
+bin/lxrandr
+share/applications/lxrandr.desktop
+share/locale/af/LC_MESSAGES/lxrandr.mo
+share/locale/ar/LC_MESSAGES/lxrandr.mo
+share/locale/ast/LC_MESSAGES/lxrandr.mo
+share/locale/be/LC_MESSAGES/lxrandr.mo
+share/locale/bg/LC_MESSAGES/lxrandr.mo
+share/locale/bn/LC_MESSAGES/lxrandr.mo
+share/locale/bn_IN/LC_MESSAGES/lxrandr.mo
+share/locale/ca/LC_MESSAGES/lxrandr.mo
+share/locale/cs/LC_MESSAGES/lxrandr.mo
+share/locale/da/LC_MESSAGES/lxrandr.mo
+share/locale/de/LC_MESSAGES/lxrandr.mo
+share/locale/el/LC_MESSAGES/lxrandr.mo
+share/locale/en_GB/LC_MESSAGES/lxrandr.mo
+share/locale/es/LC_MESSAGES/lxrandr.mo
+share/locale/es_VE/LC_MESSAGES/lxrandr.mo
+share/locale/et/LC_MESSAGES/lxrandr.mo
+share/locale/eu/LC_MESSAGES/lxrandr.mo
+share/locale/fa/LC_MESSAGES/lxrandr.mo
+share/locale/fi/LC_MESSAGES/lxrandr.mo
+share/locale/fo/LC_MESSAGES/lxrandr.mo
+share/locale/fr/LC_MESSAGES/lxrandr.mo
+share/locale/frp/LC_MESSAGES/lxrandr.mo
+share/locale/gl/LC_MESSAGES/lxrandr.mo
+share/locale/he/LC_MESSAGES/lxrandr.mo
+share/locale/hr/LC_MESSAGES/lxrandr.mo
+share/locale/hu/LC_MESSAGES/lxrandr.mo
+share/locale/id/LC_MESSAGES/lxrandr.mo
+share/locale/it/LC_MESSAGES/lxrandr.mo
+share/locale/ja/LC_MESSAGES/lxrandr.mo
+share/locale/ko/LC_MESSAGES/lxrandr.mo
+share/locale/lg/LC_MESSAGES/lxrandr.mo
+share/locale/lt/LC_MESSAGES/lxrandr.mo
+share/locale/ml/LC_MESSAGES/lxrandr.mo
+share/locale/ms/LC_MESSAGES/lxrandr.mo
+share/locale/nb/LC_MESSAGES/lxrandr.mo
+share/locale/nl/LC_MESSAGES/lxrandr.mo
+share/locale/nn/LC_MESSAGES/lxrandr.mo
+share/locale/pl/LC_MESSAGES/lxrandr.mo
+share/locale/ps/LC_MESSAGES/lxrandr.mo
+share/locale/pt/LC_MESSAGES/lxrandr.mo
+share/locale/pt_BR/LC_MESSAGES/lxrandr.mo
+share/locale/ro/LC_MESSAGES/lxrandr.mo
+share/locale/ru/LC_MESSAGES/lxrandr.mo
+share/locale/sk/LC_MESSAGES/lxrandr.mo
+share/locale/sl/LC_MESSAGES/lxrandr.mo
+share/locale/sr/LC_MESSAGES/lxrandr.mo
+share/locale/sr@latin/LC_MESSAGES/lxrandr.mo
+share/locale/sv/LC_MESSAGES/lxrandr.mo
+share/locale/te/LC_MESSAGES/lxrandr.mo
+share/locale/th/LC_MESSAGES/lxrandr.mo
+share/locale/tr/LC_MESSAGES/lxrandr.mo
+share/locale/tt_RU/LC_MESSAGES/lxrandr.mo
+share/locale/uk/LC_MESSAGES/lxrandr.mo
+share/locale/ur/LC_MESSAGES/lxrandr.mo
+share/locale/ur_PK/LC_MESSAGES/lxrandr.mo
+share/locale/vi/LC_MESSAGES/lxrandr.mo
+share/locale/zh_CN/LC_MESSAGES/lxrandr.mo
+share/locale/zh_TW/LC_MESSAGES/lxrandr.mo
+@dirrmtry share/locale/ur_PK/LC_MESSAGES
+@dirrmtry share/locale/ur_PK
+@dirrmtry share/locale/tt_RU/LC_MESSAGES
+@dirrmtry share/locale/tt_RU
+@dirrmtry share/locale/lg/LC_MESSAGES
+@dirrmtry share/locale/lg
+@dirrmtry share/locale/frp/LC_MESSAGES
+@dirrmtry share/locale/frp
+@dirrmtry share/locale/es_VE/LC_MESSAGES
+@dirrmtry share/locale/es_VE
+@dirrmtry share/applications
+@exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
+@unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Max Brazhnikov freebsd_committer 2012-09-21 23:25:17 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!